Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.accounts.get_account_balances(id="<id>")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.GetAccountBalancesResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetAccountBalancesResponse res = sdk.accounts().getBalances()
.id("<id>")
.call();
if (res.balanceData().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.tradearies.dev/v1/accounts/{id}/balances \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/accounts/{id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sodPositionsMarketValue": "<string>",
"netBuyingPower": "<string>",
"stockBuyingPower": "<string>",
"dayTradeBuyingPower": "<string>",
"optionBuyingPower": "<string>",
"dayTradeOvernightRegTBuyingPower": "<string>",
"totalEquity": "<string>",
"settledFunds": "<string>",
"unsettledFunds": "<string>",
"heldBackFunds": "<string>",
"grossMargin": "<string>",
"pendingOrdersMarginRequirements": "<string>"
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}Accounts
Get Account Balances
Retrieve account balances and buying power information
GET
/
v1
/
accounts
/
{id}
/
balances
Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.accounts.get_account_balances(id="<id>")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.GetAccountBalancesResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetAccountBalancesResponse res = sdk.accounts().getBalances()
.id("<id>")
.call();
if (res.balanceData().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Account ID
Response
Account balances retrieved successfully
Start of day positions market value
Net buying power available
Stock buying power
Day trade buying power
Option buying power
Day trade overnight regular buying power
Total equity in account
Settled funds available
Unsettled funds
Funds held back
Gross margin
Margin requirements for pending orders
Was this page helpful?
⌘I